GCLOUD_SQL_INSTANCES_CLONE(1)

NAME

gcloud sql instances clone - clones a Cloud SQL instance

SYNOPSIS

gcloud sql instances clone SOURCE DESTINATION [--async] [--bin-log-file-name BIN_LOG_FILE_NAME] [--bin-log-position BIN_LOG_POSITION] [GLOBAL-FLAG ...]

DESCRIPTION
Creates a clone of the Cloud SQL instance. The source and the destination instances must be in the same project. The clone once created will be an independent Cloud SQL instance. The binary log coordinates, if specified, act as the point up to which the source instance is cloned. If not specified, the source instance is cloned up to the most recent binary log coordintes at the time the command is executed.

POSITIONAL ARGUMENTS
SOURCE
    Cloud SQL instance ID of the source.
DESTINATION
    Cloud SQL instance ID of the clone.

FLAGS
--async
    Do not wait for the operation to complete.
--bin-log-file-name BIN_LOG_FILE_NAME
    Represents the position (offset) inside the binary log file created by the source instance if it has binary logs enabled. If specified, is the point up to which the source instance is cloned. It must be specified along with --bin-log-file to form a valid binary log coordinates. e.g., 123 (a numeric value)
--bin-log-position BIN_LOG_POSITION
    Represents the name of the binary log file created by the source instance if it has binary logs enabled. If specified, is the point up to which the source instance is cloned. It must be specified along with --bin-log-position to form a valid binary log coordinates. e.g., mysql-bin.000001

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
$gcloud sql instances clone myproject:instance-foo myproject:instance-bar OR.RS 2m $gcloud sql instances clone myproject:instance-foo myproject:instance-bar
      --bin-log-file-name mysql-bin.000020 --bin-log-position 170